//+------------------------------------------------------------------+
//|                                               MTConnectorOut.mq4 |
//|                        Copyright 2017, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2017, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict

#include <My/MTConnector.mqh>

MTConnector Out;
datetime PreTime=0;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
// EventSetMillisecondTimer(100);
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//--- destroy timer
  //EventKillTimer();
   Comment("");
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
   Out.SendNewTick();
   if(PreTime!=Out.CurInf.CurTime)
     {
      PreTime=Out.CurInf.CurTime;
      string str="Ask  = ";
      str+=(string)Out.CurInf.ask+"\n";
      str+="Bid  = "+(string)Out.CurInf.bid+"\n";
      str+="Time = "+TimeToString(Out.CurInf.OpenTime,TIME_DATE|TIME_SECONDS);
      Comment(str);
     }
  }
//+------------------------------------------------------------------+
//| Timer function                                                   |
//+------------------------------------------------------------------+
void OnTimer()
  {
  }
//+------------------------------------------------------------------+
//| Trade function                                                   |
//+------------------------------------------------------------------+
